﻿@model GamePlayModel
@{
    var currentGame = Model.Spiel;
    var currentMove = Model.Spiel.AktuelleRunde.AktuellerSpielzug;
}

<hr class="my-3" />
<div class="text-center">
    <h2 class="mb-0">@currentMove.VokabelModel.Vokabel</h2>
    <span class="text-sub">Übersetzung von @currentGame.Unit.Sprachrichtung.VonSprache.Name nach @currentGame.Unit.Sprachrichtung.NachSprache.Name</span>
</div>
<div class="btn-group btn-group-toggle mb-3" data-toggle="buttons" style="width: 100%">
    @{
        for (var i = 0; i < currentMove.AntwortMoeglichkeiten.Count; i++)
        {
            <label id="@i" class="btn btn-primary">
                <input type="radio" name="options" autocomplete="off" /> @currentMove.AntwortMoeglichkeiten[i].Vokabel
            </label>
        }
    }
</div>
<button class="btn btn-block btn-dark" onclick="submit_answer(@Model.UserId, @currentGame.Id)">Zug bestätigen</button>
<div class="progress no-animation" style="height: 5px;">
    <div id="move-timer" class="progress-bar bg-danger no-animation" style="width:0%"></div>
</div>